shost_for_each_device
Prev | include/scsi/scsi_device.h | Next

## Name

shost_for_each_device — iterate over all devices of a host

## Synopsis

`shost_for_each_device (` |  | sdev,
|  | shost`)`;

## Arguments

`sdev`

  the struct scsi_device to use as a cursor

`shost`

  the struct scsi_host to iterate over

## Description

Iterator that returns each device attached to `shost`. This loop takes a reference on each device and releases it at the end. If you break out of the loop, you must call scsi_device_put(sdev).

Prev | Up | Next
Chapter 3. SCSI mid layer | Home | __shost_for_each_device